=== debian/changelog ===
serialdv (1.1.4-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 12:16:30 +0100

serialdv (1.1.4-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 16 Feb 2020 12:55:05 +0100
