=== debian/control ===
Source: serialdv
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
Standards-Version: 4.5.0
Homepage: https://github.com/f4exb/serialDV
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/serialdv
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/serialdv.git

Package: libserialdv1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: encode and decode audio with AMBE3000 devices
 SerialDV is a C++ minimal interface to encode and decode audio with AMBE3000
 based devices in packet mode over a serial link.

Package: libserialdv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libserialdv1 (= ${binary:Version}),
 ${misc:Depends},
Description: encode and decode audio with AMBE3000 devices (headers)
 SerialDV is a C++ minimal interface to encode and decode audio with AMBE3000
 based devices in packet mode over a serial link.
 .
 This package contains the header files.
