=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

#override_dh_auto_test:
#	cd obj-* && ./cm256_rx && ./cm256_tx && ./cm256_test
