=== debian/watch ===
version=4
https://github.com/f4exb/serialDV/tags .*/v(.*).tar.gz
