=== debian/changelog ===
serialdv (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5.
  * Compatible with cmake 4.2. (Closes: #1125588)

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2026 19:35:51 +0100
